Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Interface PackageRelationshipTypes

    public interface PackageRelationshipTypes

Relationship types.

Version:
  0.2
Author:
  Julien Chable

Field Summary
`static java.lang.String` | `CORE_DOCUMENT` Core properties relationship type.
`static java.lang.String` | `CORE_PROPERTIES` Core properties relationship type.
`static java.lang.String` | `CORE_PROPERTIES_ECMA376` Core properties relationship type as defiend in ECMA 376.
`static java.lang.String` | `CUSTOM_PROPERTIES` Custom properties relationship type.
`static java.lang.String` | `CUSTOM_XML` Custom XML relationship type.
`static java.lang.String` | `DIGITAL_SIGNATURE` Digital signature relationship type.
`static java.lang.String` | `DIGITAL_SIGNATURE_CERTIFICATE` Digital signature certificate relationship type.
`static java.lang.String` | `DIGITAL_SIGNATURE_ORIGIN` Digital signature origin relationship type.
`static java.lang.String` | `EXTENDED_PROPERTIES` Extended properties relationship type.
`static java.lang.String` | `HYPERLINK_PART` Hyperlink type.
`static java.lang.String` | `IMAGE_PART` Image type.
`static java.lang.String` | `STYLE_PART` Style type.
`static java.lang.String` | `THUMBNAIL` Thumbnail relationship type.

Field Detail

### CORE_PROPERTIES

    static final java.lang.String CORE_PROPERTIES

  Core properties relationship type.

  The standard specifies a source relations ship for the Core File Properties part as follows: `http://schemas.openxmlformats.org/officedocument/2006/relationships/metadata/core-properties.`

  Office uses the following source relationship for the Core File Properties part: `http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties.`

  See 2.1.33 Part 1 Section 15.2.11.1, Core File Properties Part in [MS-OE376].pdf

  See Also:
    Constant Field Values

### CORE_PROPERTIES_ECMA376

    static final java.lang.String CORE_PROPERTIES_ECMA376

  Core properties relationship type as defiend in ECMA 376.

  See Also:
    Constant Field Values

### DIGITAL_SIGNATURE

    static final java.lang.String DIGITAL_SIGNATURE

  Digital signature relationship type.

  See Also:
    Constant Field Values

### DIGITAL_SIGNATURE_CERTIFICATE

    static final java.lang.String DIGITAL_SIGNATURE_CERTIFICATE

  Digital signature certificate relationship type.

  See Also:
    Constant Field Values

### DIGITAL_SIGNATURE_ORIGIN

    static final java.lang.String DIGITAL_SIGNATURE_ORIGIN

  Digital signature origin relationship type.

  See Also:
    Constant Field Values

### THUMBNAIL

    static final java.lang.String THUMBNAIL

  Thumbnail relationship type.

  See Also:
    Constant Field Values

### EXTENDED_PROPERTIES

    static final java.lang.String EXTENDED_PROPERTIES

  Extended properties relationship type.

  See Also:
    Constant Field Values

### CUSTOM_PROPERTIES

    static final java.lang.String CUSTOM_PROPERTIES

  Custom properties relationship type.

  See Also:
    Constant Field Values

### CORE_DOCUMENT

    static final java.lang.String CORE_DOCUMENT

  Core properties relationship type.

  See Also:
    Constant Field Values

### CUSTOM_XML

    static final java.lang.String CUSTOM_XML

  Custom XML relationship type.

  See Also:
    Constant Field Values

### IMAGE_PART

    static final java.lang.String IMAGE_PART

  Image type.

  See Also:
    Constant Field Values

### HYPERLINK_PART

    static final java.lang.String HYPERLINK_PART

  Hyperlink type.

  See Also:
    Constant Field Values

### STYLE_PART

    static final java.lang.String STYLE_PART

  Style type.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD